@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+TC:wght@200..900&display=swap');


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/*1280*800*/
body {
    background-color:#f1f1f1 !important;
}


/*Pad版*/

/*手機版*/
@media (max-width: 450px) {
    body {
        background-position: top;
    }
}


/*3個按鈕*/
.buttons {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
}


/*底部圖片*/
.bg_bottom {
    margin-left: auto !important;
    margin-right: auto !important;
    background-image: url(../img/BG_web_b.png);
    background-size: cover;
    position: fixed;
    bottom: -50px;
    width: 100%;
    height: 320px;
    bottom: 0px;
}


a:hover {
    text-decoration: none;
}

[v-cloak] {
    display: none;
}

.opt {
    font-size: calc(1rem + 30 * ((100vw - 300px)/(576 - 300)));
    border-radius: 2rem;
    transition-duration: 0.2s;
    transition-delay: 0.1s;
    transition-timing-function: ease-in-out;
    width:fit-content;
}

#caffaina {
    background-color: #002e3a;
    border: 5px solid #073046;
}

#donutes {
    background-color: black;
    border: 5px solid black;
}

#minid {
    background-color: #596781;
    border: 5px solid #596781;
}

@media (min-width: 576px) {
    .opt {
        font-size: 2.5rem;
        padding: 1.5rem;
    }
}

@media (min-width: 768px) {
    .opt {
        font-size: 2rem;
    }

    .mb-md-5 {
        margin-bottom: 3rem;
    }

    .mt-md-5 {
        margin-bottom: 3rem;
    }
}

.opt:hover {
    border: 5px solid #90a506;
}


.opt > img {
    max-height: 200px
}

a.darken {
    width: auto;
    display: block;
    padding: 0;
    position: relative;
    overflow: hidden;
    text-align: center;
}

    a.darken img {
        display: block;
        -webkit-transition: all 0.2s linear;
        -moz-transition: all 0.2s linear;
        -ms-transition: all 0.2s linear;
        -o-transition: all 0.2s linear;
        transition: all 0.2s linear;
    }

    a.darken:hover img {
        opacity: 0.1;
    }

    a.darken span {
        display: block;
        height: fit-content;
        visibility: hidden;
        position: absolute;
        width: fit-content;
        top: 40%;
        left: 32.5%;
        border-radius:1rem;
    }

    a.darken:hover span {
        color: #fff;
        visibility: visible;
        -webkit-transition: all 0.2s linear;
        -moz-transition: all 0.2s linear;
        -ms-transition: all 0.2s linear;
        -o-transition: all 0.2s linear;
        transition: all 0.2s linear;
    }


.mb-md-5 {
    margin-bottom: 1rem;
}

.mt-md-5 {
    margin-bottom: 1rem;
}
.refresh-position {
    position: fixed;
    right: 200px;
    top: 6px;
}
.parent-layer-size {
    width: 484px;
    height: 484px;
}
.MainColor {
    background-color: var(--Theme-MainColor);
}

.SecondaryColor {
    background-color: var(--Theme-SecondaryColor);
}
.TertiaryColor {
    background-color: var(--Theme-TertiaryColor);
}


@media (max-width: 768px) {
    .parent-layer-size {
        width: 586px;
        height: 390px;
    }
    .refresh-position {
        position: fixed;
        right: 85px;
        top: 7px;
    }
    .w-md-100 {
        width: 100% !important;
    }
    .w-md-90 {
        width: 90% !important;
    }
}